Clarify Data.Data documentation
ClosedPublic

Authored by dfeuer on Sep 6 2017, 7:54 PM.

Details

Summary

Explain much more clearly when dataCast1 and dataCast2 can
have non-trivial implementations. On a couple different occasions,
I have attempted to write better defaults for these, only to
discover that we can't really do that. The new documentation
implicitly explains why that is.

[skip ci]

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
dfeuer created this revision.Sep 6 2017, 7:54 PM
bgamari requested changes to this revision.Sep 11 2017, 7:54 AM

It doesn't look like this will be formatted properly.

libraries/base/Data/Data.hs
283

Shouldn't this be a Haddock code block?

300

This too.

This revision now requires changes to proceed.Sep 11 2017, 7:54 AM
dfeuer updated this revision to Diff 13831.Sep 11 2017, 8:31 PM

Fix formatting.

dfeuer updated this revision to Diff 13836.Sep 12 2017, 1:51 PM

Make code blocks

dfeuer marked 2 inline comments as done.Sep 12 2017, 1:52 PM
angerman accepted this revision.Sep 12 2017, 7:30 PM
angerman added a subscriber: angerman.

LGTM.

bgamari accepted this revision.Sep 13 2017, 7:22 AM

Sounds reasonable to me.

This revision is now accepted and ready to land.Sep 13 2017, 7:22 AM
This revision was automatically updated to reflect the committed changes.